Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfGraphics2D.HyperLinkKey

    java.lang.Object
      java.awt.RenderingHints.Key
          com.lowagie.text.pdf.PdfGraphics2D.HyperLinkKey

Enclosing class:
  PdfGraphics2D

    public static class PdfGraphics2D.HyperLinkKey

extends java.awt.RenderingHints.Key

Since:
  2.0.8

Field Summary
`static PdfGraphics2D.HyperLinkKey` | `KEY_INSTANCE`
`static java.lang.Object` | `VALUE_HYPERLINKKEY_OFF`

Constructor Summary
`protected` | `PdfGraphics2D.HyperLinkKey(int arg0)`

Method Summary
`boolean` | `isCompatibleValue(java.lang.Object val)`
`java.lang.String` | `toString()`

Methods inherited from class java.awt.RenderingHints.Key
`equals, hashCode, intKey`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_INSTANCE

    public static final PdfGraphics2D.HyperLinkKey KEY_INSTANCE

### VALUE_HYPERLINKKEY_OFF

    public static final java.lang.Object VALUE_HYPERLINKKEY_OFF

Constructor Detail

### PdfGraphics2D.HyperLinkKey

    protected PdfGraphics2D.HyperLinkKey(int arg0)

Method Detail

### isCompatibleValue

    public boolean isCompatibleValue(java.lang.Object val)

  Specified by:
    `isCompatibleValue` in class `java.awt.RenderingHints.Key`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD